Make sure that jjb-cleanup.sh allows unbound vars
[releng/global-jjb.git] / shell / jenkins-sandbox-cleanup.sh
1 #!/bin/bash
2 # SPDX-License-Identifier: EPL-1.0
3 ##############################################################################
4 # Copyright (c) 2018 The Linux Foundation and others.
5 #
6 # All rights reserved. This program and the accompanying materials
7 # are made available under the terms of the Eclipse Public License v1.0
8 # which accompanies this distribution, and is available at
9 # http://www.eclipse.org/legal/epl-v10.html
10 ##############################################################################
11 # Deletes all jobs on a Jenkins Sandbox system.
12 echo "---> jenkins-sandbox-cleanup.sh"
13
14 set -eux -o pipefail
15
16 bash -c "/usr/bin/yes 2>/dev/null || true" | jenkins-jobs -s sandbox delete-all